> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/classes/animator.md).

# Animator

Animator : `Instance`

## Overview

The core class for playing and synchronizing animations

This instance handles all replication processes for running AnimationTrack instances.

## Properties

## Methods

### LoadAnimation

Loads the specified Animation into the Animator and returns a playable AnimationTrack instance.

If the Animator is included in a model such as a player character, where the local player owns the network ownership, calling this method on the client will also load the animation on the server.

To use LoadAnimation(), the Animator must exist within the Workspace, and the Animator must be created on the server and replicated to the client for animation replication to work. An Animator created locally cannot send loaded animations to other clients.

#### Parameters

| `Animation` InAnimation | The Animation object to be loaded |
| ----------------------- | --------------------------------- |

#### Return

| `AnimationTrack` | The returned animation track. |
| ---------------- | ----------------------------- |

#### Code Samples

```lua
local Players = game:GetService("Players")
local LocalPlayer = Players.LocalPlayer

repeat wait() until LocalPlayer.Character

local Character = LocalPlayer.Character
local Humanoid = Character:WaitForChild("Humanoid")

local Animation = Instance.new("Animation")
Animation.AnimationId = "ovdrassetid://18850100" -- WinAnimation01

local Animator = Humanoid:FindFirstChild("Animator")
local AnimationTrack = Animator:LoadAnimation(Animation)

AnimationTrack:Play()
```

## Events

## See also

{% content-ref url="/pages/YK5NZVV1FAIHbrQSOuHF" %}
[Character Animation](/manual/studio-manual/character/character-animation.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/animator.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
